clear all
close all

Fs=14; % font size
fault_tr=0; % plot faults? (1 yes, 0 no)
% assign some colors:
darkGrey1  = [0.4 0.4 0.4];
brown       = [0.6 0 0];
orange      = [1 0.5 0];
darkgreen      = [0 0.5 0];
purple      = [0.5 0 0.7];
teal      = [0 0.5 0.5];

orig=[-117.5 35.5];
xo=orig(1); yo=orig(2);
[xo,yo]=utm2ll(xo,yo,0,1);

Y_shift=10;
load rot_lines.mat; % X1 X2 Y1 Y2;
load sigma1.mat; % xq yq1 (bisect)
mu=0.6;

fh = figure(1);


L1=line(X2(:,1),Y2(:,1)-Y_shift,'LineStyle','-','LineWidth',1,'Color',darkGrey1), hold on
L2=line(X2(:,2),Y2(:,2)-Y_shift,'LineStyle','-','LineWidth',1,'Color','m'), hold on
L3=line(X2(:,3),Y2(:,3)-Y_shift,'LineStyle','-','LineWidth',1,'Color','c'), hold on
L4=line(X2(:,4),Y2(:,4)-Y_shift,'LineStyle','-','LineWidth',1,'Color',orange), hold on


L5=line(X2(:,5),Y2(:,5)-Y_shift,'LineStyle','-','LineWidth',1,'Color',brown), hold on
L6=line(X2(:,6),Y2(:,6)-Y_shift,'LineStyle','-','LineWidth',1,'Color',purple), hold on
L7=line(X2(:,7),Y2(:,7)-Y_shift,'LineStyle','-','LineWidth',1,'Color',teal), hold on

L8=line(X1(:,1),Y1(:,1)-Y_shift,'LineStyle','--','LineWidth',1,'Color',darkGrey1), hold on
L9=line(X1(:,2),Y1(:,2)-Y_shift,'LineStyle','--','LineWidth',1,'Color','m'), hold on
L10=line(X1(:,3),Y1(:,3)-Y_shift,'LineStyle','--','LineWidth',1,'Color','c'), hold on
L11=line(X1(:,4),Y1(:,4)-Y_shift,'LineStyle','--','LineWidth',1,'Color',orange), hold on
L12=line(X1(:,5),Y1(:,5)-Y_shift,'LineStyle','--','LineWidth',1,'Color',brown), hold on
L13=line(X1(:,6),Y1(:,6)-Y_shift,'LineStyle','--','LineWidth',1,'Color',purple), hold on
L14=line(X1(:,7),Y1(:,7)-Y_shift,'LineStyle','--','LineWidth',1,'Color',teal), hold on
line(xq,yq1-Y_shift,'LineStyle',':','LineWidth',0.5,'Color','k'), hold on
theta=pi/2-atan(1/mu)/2;
text(7,38,'(b)','Color','k','FontSize',18), hold on
xlabel('Eastings, km'), hold on
ylabel('Northings, km'), hold on

x1=-4; x2=-1; y1=38; y2=36; y3=34; y4=32;
line([x1 x2], [y1 y1],'LineStyle','-','LineWidth',1,'Color',darkGrey1), hold on
line([x1 x2], [y2 y2],'LineStyle','-','LineWidth',1,'Color','m'), hold on
line([x1 x2], [y3 y3],'LineStyle','-','LineWidth',1,'Color','c'), hold on
line([x1 x2], [y4 y4],'LineStyle','-','LineWidth',1,'Color',orange), hold on
text(x2+1,y1,'0 Myr','FontSize',12), hold on
text(x2+1,y2,'1 Myr','FontSize',12), hold on
text(x2+1,y3,'2 Myr','FontSize',12), hold on
text(x2+1,y4,'3 Myr','FontSize',12), hold on

x1=6; x2=9; y1=21; y2=19; y3=17;
line([x1 x2], [y1 y1],'LineStyle','-','LineWidth',1,'Color',brown), hold on
line([x1 x2], [y2 y2],'LineStyle','-','LineWidth',1,'Color',purple), hold on
line([x1 x2], [y3 y3],'LineStyle','-','LineWidth',1,'Color',teal), hold on
text(x2+1,y1,'4 Myr','FontSize',12), hold on
text(x2+1,y2,'5 Myr','FontSize',12), hold on
text(x2+1,y3,'6 Myr','FontSize',12), hold on

if fault_tr==1
 load flt1.dat;
 [flt1(:,1),flt1(:,2)]=utm2ll(flt1(:,1),flt1(:,2),0,1);
 [flt1(:,3),flt1(:,4)]=utm2ll(flt1(:,3),flt1(:,4),0,1);
 flt1(:,1)=(flt1(:,1)-xo)*1e-3;
 flt1(:,2)=(flt1(:,2)-yo)*1e-3;
 flt1(:,3)=(flt1(:,3)-xo)*1e-3;
 flt1(:,4)=(flt1(:,4)-yo)*1e-3;
 for i=1:length(flt1(:,1))
  slope=(flt1(i,2)-flt1(i,4))/(flt1(i,1)-flt1(i,3));
  if slope > 0
   line([flt1(i,1) flt1(i,3)],[flt1(i,2) flt1(i,4)],'LineStyle','-','LineWidth',3,'Color','b'), hold on
  else
   line([flt1(i,1) flt1(i,3)],[flt1(i,2) flt1(i,4)],'LineStyle','-','LineWidth',3,'Color','r'), hold on
  end
 end
 load flt2.dat;
 [flt2(:,1),flt2(:,2)]=utm2ll(flt2(:,1),flt2(:,2),0,1);
 [flt2(:,3),flt2(:,4)]=utm2ll(flt2(:,3),flt2(:,4),0,1);
 flt2(:,1)=(flt2(:,1)-xo)*1e-3;
 flt2(:,2)=(flt2(:,2)-yo)*1e-3;
 flt2(:,3)=(flt2(:,3)-xo)*1e-3;
 flt2(:,4)=(flt2(:,4)-yo)*1e-3;
 for i=1:length(flt2(:,1))
   line([flt2(i,1) flt2(i,3)],[flt2(i,2) flt2(i,4)],'LineStyle','-','LineWidth',3,'Color','r'), hold on
 end
end

x0=3.5; y0=19.5;
plot(x0,y0,'k.','MarkerSize',16,'HandleVisibility','off'), hold on
ang([x0 y0],1,[0 3/2*pi*1.1],'k-'), hold on
% Set values desired for circular arrow
radius = 0.9; % Height from top to bottom
centre = [x0 y0];
arrow_angle = -20; % Desired orientation angle in degrees
angle = 10; % Angle between start and end of arrow
direction = 1; % for CW enter 1, for CCW enter 0
colour = 'k'; % Colour of arrow
head_size = 8; % Arrow head size
linewidth=1;

circular_arrow(fh, radius, centre, arrow_angle, angle, direction, colour, head_size, linewidth);

% One arrow from left to right with text on left side
[p1,sb]=polyfit(xq,yq1,1);

axis(gca,'equal');
set(gca,'xlim',[-15 15],'ylim',[-7 40]), hold on
xl=get(gca,'xlim');
yl=get(gca,'ylim');
x = [-0.56 -0.3];    % adjust length and location of arrow 
y=p1(1)*x+p1(2)-Y_shift;
x=(x-min(xl))/(max(xl)-min(xl));
y=(y-min(yl))/(max(yl)-min(yl));

annotation('textarrow',[0.51    0.514],[0.7107    0.6474],'Linewidth',4)
x = [0.56 0.3];    % adjust length and location of arrow 
y=p1(1)*x+p1(2)-Y_shift;
x=(x-min(xl))/(max(xl)-min(xl));
y=(y-min(yl))/(max(yl)-min(yl));
annotation('textarrow',[0.527    0.523],[0.4383    0.5015],'String','$\sigma_{Hmax}$','FontSize',18,'Linewidth',4, 'Interpreter','latex')
text(-11,30-Y_shift,'\mu = 0.6','FontSize',Fs), hold on

fault_tr=2;
col=darkgreen;
if fault_tr==1
  Hector_fault_ll=[];  Landers_fault_ll=[]; ca_faults_ll=[];
  Hector_dim=[]; Landers_dim=[]; ca_dim_ll=[];
  load /Users/fialko/w/dat/AllQfaults/Qfaults.ll;
  load /Users/fialko/w/dat/AllQfaults/Qfaults_dim.dat;
  faults=[Hector_fault_ll' Landers_fault_ll' ca_faults_ll' Qfaults']';
  dim=[Hector_dim' Landers_dim' ca_dim_ll' Qfaults_dim']';
 [sf,l]=size(dim);
 [sfhm,lhm]=size(dim);
end

 if fault_tr==1
  [faults(:,1),faults(:,2)]=utm2ll(faults(:,1),faults(:,2),0,1);
  faults(:,1)=(faults(:,1)-xo)*1e-3;
  faults(:,2)=(faults(:,2)-yo)*1e-3;
 end %faults

xl=get(gca,'xlim');
yl=get(gca,'ylim');

if fault_tr==1
 [i]=plot_faults(faults,dim,xl,yl,col);
 text(-10,-5,'Garlock fault','FontSize',Fs,'Rotation',20), hold on
end

set(gca,'box','on'), hold on
set(gca,'FontSize',Fs), hold on
print(gcf, '-depsc','-r300','rotated')

return
